### Hierarchy

- VerifyRepository

### Implemented by

- VerifyRepositoryImpl

## Index

### Methods

- fixDanglingOfferSearchesByCreatingInteractions
- getAccountsByPublicKeys
- getAllAccounts
- getDanglingOfferInteractions
- getDanglingOfferSearches
- getOfferInteractionsByOfferIdsAndOwners
- getOfferSearchesByIds
- getSearchRequestWithSameTags
- getSearchRequestWithoutOwner

## Methods

### fixDanglingOfferSearchesByCreatingInteractions

- fixDanglingOfferSearchesByCreatingInteractions(): Promise<Array<OfferInteraction>>

- - Defined in repository/verify/VerifyRepository.ts:17

  #### Returns Promise<Array<OfferInteraction>>

### getAccountsByPublicKeys

- getAccountsByPublicKeys(publicKeys: Array<string>): Promise<Array<Account>>

- - Defined in repository/verify/VerifyRepository.ts:9

  #### Parameters

  - ##### publicKeys: Array<string>

  #### Returns Promise<Array<Account>>

### getAllAccounts

- getAllAccounts(fromDate: Date): Promise<Array<Account>>

- - Defined in repository/verify/VerifyRepository.ts:11

  #### Parameters

  - ##### fromDate: Date

  #### Returns Promise<Array<Account>>

### getDanglingOfferInteractions

- getDanglingOfferInteractions(): Promise<Array<OfferInteraction>>

- - Defined in repository/verify/VerifyRepository.ts:15

  #### Returns Promise<Array<OfferInteraction>>

### getDanglingOfferSearches

- getDanglingOfferSearches(type: number): Promise<Array<OfferSearch>>

- - Defined in repository/verify/VerifyRepository.ts:13

  #### Parameters

  - ##### type: number

  #### Returns Promise<Array<OfferSearch>>

### getOfferInteractionsByOfferIdsAndOwners

- getOfferInteractionsByOfferIdsAndOwners(offerIds: Array<number>, owners: Array<string>): Promise<Array<OfferInteraction>>

- - Defined in repository/verify/VerifyRepository.ts:23

  #### Parameters

  - ##### offerIds: Array<number>

  - ##### owners: Array<string>

  #### Returns Promise<Array<OfferInteraction>>

### getOfferSearchesByIds

- getOfferSearchesByIds(ids: Array<number>): Promise<Array<OfferSearch>>

- - Defined in repository/verify/VerifyRepository.ts:7

  #### Parameters

  - ##### ids: Array<number>

  #### Returns Promise<Array<OfferSearch>>

### getSearchRequestWithSameTags

- getSearchRequestWithSameTags(): Promise<Array<SearchRequest>>

- - Defined in repository/verify/VerifyRepository.ts:19

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestWithoutOwner

- getSearchRequestWithoutOwner(): Promise<Array<SearchRequest>>

- - Defined in repository/verify/VerifyRepository.ts:21

  #### Returns Promise<Array<SearchRequest>>

Generated using TypeDoc